Zend Guard 6.0: 搭建zend环境

Zend Guard 6.0安装了,也破解了,php文件也加密了,现在需要的是如何在服务器上正常访问该加密的php文件。也就是说如何搭建zend环境。请看如下步骤:

第一步: 查看php版本

说明: 因为加密的php文件是采用的是php5.4版本,所以服务器上的php版本也应该是5.4.

1

2第二步: 把加密的php文件上传到服务器上看看效果

11

12

提示php文件采用了Zend Guard加密,需要安装Zend Loader/ZendOptimizer

第三步: 下载Zend Guard Loader

首先说明下ZendOptimizer不再支持php版本为5.3以上的了,只能使用Zend Guard Loader。所以为windows/linux下载Zend Guard Loader文件。windows对应的为dll文件,而Linux对应的为so文件。

21

22

第四步: 修改php.ini文件

把下载好的Zend Guard Loader.dll/Zend Guard Loader.so文件放到php的扩展模块目录下module/ext.

31

32

修改php.ini文件

20150126183055

windows版本也差不多,这里就不多说了,因为我本地的环境是wamp,而wamp的php是Thread Safe模式,而Zend Guard Loader只能用在No Thread Safe版本,所以下面的就只介绍Linux版本的了。

第六步: 重启httpd服务,查看Zend Guard Loader是否安装

20150126183633

第七步: 查看加密文件是否正常

20150126183735

还是提示未安装Zend Loader。。。如何解决?

第八步: SElinux的原因,临时关闭SElinux。

20150126184119

 

并且重启httpd服务。

第九步: 查看效果

20150126184316

 

 

Author: jhonse

Jhonse技术博客: http://blog.jhonse.com

Leave a Reply

Your email address will not be published. Required fields are marked *